package com.lemon.reflex;

import com.lemon.pojo.API;

/**
 * @program: Lemon
 * @description:
 * @author: ray
 * @create: 2022-11-03 20:52
 **/
public class reflexDemo {
    public static void main(String[] args) throws ClassNotFoundException {
        /*
         *反射：Java在运行时可以动态的获取任意一个类的对象，
         * 并且可以调用这个对象的方法和属性。
         */

        // 反射前提：获取到字节码对象，类似于.class文件
        Class aClass = API.class;
        API api = new API();
        Class<? extends API> aClass2 = api.getClass();
        Class<?> aClass3 = Class.forName("com.lemon.pojo.API");

        System.out.println(aClass == aClass2);
        System.out.println(aClass == aClass3);
    }
}
